# Serialized Form

## Package com.omnisci.thrift.calciteserver

### Class com.omnisci.thrift.calciteserver.TCompletionHint extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### hints

    List<String> hints

#### replaced

    String replaced

#### type

    TCompletionHintType type

See Also:
  `TCompletionHintType`

### Class com.omnisci.thrift.calciteserver.TUserDefinedFunction extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### argTypes

    List<TExtArgumentType> argTypes

#### name

    String name

#### retType

    TExtArgumentType retType

See Also:
  `TExtArgumentType`

### Class com.omnisci.thrift.calciteserver.TUserDefinedTableFunction extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### inputArgTypes

    List<TExtArgumentType> inputArgTypes

#### name

    String name

#### outputArgTypes

    List<TExtArgumentType> outputArgTypes

#### sizerArgPos

    int sizerArgPos

#### sizerType

    TOutputBufferSizeType sizerType

See Also:
  `TOutputBufferSizeType`

#### sqlArgTypes

    List<TExtArgumentType> sqlArgTypes

## Package com.omnisci.thrift.server

### Class com.omnisci.thrift.server.OmniSci.broadcast_serialized_rows_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_final_subquery_result

    boolean is_final_subquery_result

#### query_id

    long query_id

#### row_desc

    List<TColumnType> row_desc

#### serialized_rows

    TSerializedRows serialized_rows

#### subquery_id

    long subquery_id

### Class com.omnisci.thrift.server.OmniSci.broadcast_serialized_rows_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.check_table_consistency_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### session

    String session

#### table_id

    int table_id

### Class com.omnisci.thrift.server.OmniSci.check_table_consistency_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TTableMeta success

### Class com.omnisci.thrift.server.OmniSci.checkpoint_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### session

    String session

#### table_id

    int table_id

### Class com.omnisci.thrift.server.OmniSci.checkpoint_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.clear_cpu_memory_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.clear_cpu_memory_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.clear_gpu_memory_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.clear_gpu_memory_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.clone_session_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.clone_session_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.connect_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dbname

    String dbname

#### passwd

    String passwd

#### user

    String user

### Class com.omnisci.thrift.server.OmniSci.connect_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.create_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dashboard_metadata

    String dashboard_metadata

#### dashboard_name

    String dashboard_name

#### dashboard_state

    String dashboard_state

#### image_hash

    String image_hash

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.create_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### e

    TOmniSciException e

#### success

    int success

### Class com.omnisci.thrift.server.OmniSci.create_link_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

#### view_metadata

    String view_metadata

#### view_state

    String view_state

### Class com.omnisci.thrift.server.OmniSci.create_link_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.create_table_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### create_params

    TCreateParams create_params

#### file_type

    TFileType file_type

See Also:
  `TFileType`

#### row_desc

    List<TColumnType> row_desc

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.create_table_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.deallocate_df_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### device_id

    int device_id

#### device_type

    TDeviceType device_type

See Also:
  `TDeviceType`

#### df

    TDataFrame df

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.deallocate_df_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.delete_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.delete_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.delete_dashboards_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dashboard_ids

    List<Integer> dashboard_ids

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.delete_dashboards_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.detect_column_types_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### copy_params

    TCopyParams copy_params

#### file_name

    String file_name

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.detect_column_types_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TDetectResult success

### Class com.omnisci.thrift.server.OmniSci.disconnect_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.disconnect_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.execute_next_render_step_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### merged_data

    Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data

#### pending_render

    TPendingRenderQuery pending_render

### Class com.omnisci.thrift.server.OmniSci.execute_next_render_step_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TRenderStepResult success

### Class com.omnisci.thrift.server.OmniSci.execute_query_step_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### pending_query

    TPendingQuery pending_query

#### subquery_id

    long subquery_id

### Class com.omnisci.thrift.server.OmniSci.execute_query_step_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TStepResult success

### Class com.omnisci.thrift.server.OmniSci.get_all_files_in_archive_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### archive_path

    String archive_path

#### copy_params

    TCopyParams copy_params

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_all_files_in_archive_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_all_roles_for_user_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

#### userName

    String userName

### Class com.omnisci.thrift.server.OmniSci.get_all_roles_for_user_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_completion_hints_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### cursor

    int cursor

#### session

    String session

#### sql

    String sql

### Class com.omnisci.thrift.server.OmniSci.get_completion_hints_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TCompletionHint> success

### Class com.omnisci.thrift.server.OmniSci.get_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_dashboard_grantees_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_dashboard_grantees_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TDashboardGrantees> success

### Class com.omnisci.thrift.server.OmniSci.get_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TDashboard success

### Class com.omnisci.thrift.server.OmniSci.get_dashboards_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_dashboards_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TDashboard> success

### Class com.omnisci.thrift.server.OmniSci.get_databases_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_databases_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TDBInfo> success

### Class com.omnisci.thrift.server.OmniSci.get_db_object_privs_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### objectName

    String objectName

#### session

    String session

#### type

    TDBObjectType type

See Also:
  `TDBObjectType`

### Class com.omnisci.thrift.server.OmniSci.get_db_object_privs_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TDBObject> success

### Class com.omnisci.thrift.server.OmniSci.get_db_objects_for_grantee_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### roleName

    String roleName

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_db_objects_for_grantee_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TDBObject> success

### Class com.omnisci.thrift.server.OmniSci.get_device_parameters_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_device_parameters_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    Map<String,​String> success

### Class com.omnisci.thrift.server.OmniSci.get_first_geo_file_in_archive_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### archive_path

    String archive_path

#### copy_params

    TCopyParams copy_params

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_first_geo_file_in_archive_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.get_hardware_info_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_hardware_info_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TClusterHardwareInfo success

### Class com.omnisci.thrift.server.OmniSci.get_heap_profile_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_heap_profile_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.get_internal_table_details_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.get_internal_table_details_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TTableDetails success

### Class com.omnisci.thrift.server.OmniSci.get_layers_in_geo_file_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### copy_params

    TCopyParams copy_params

#### file_name

    String file_name

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_layers_in_geo_file_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TGeoFileLayerInfo> success

### Class com.omnisci.thrift.server.OmniSci.get_license_claims_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### nonce

    String nonce

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_license_claims_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TLicenseInfo success

### Class com.omnisci.thrift.server.OmniSci.get_link_view_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### link

    String link

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_link_view_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TFrontendView success

### Class com.omnisci.thrift.server.OmniSci.get_memory_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### memory_level

    String memory_level

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_memory_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TNodeMemoryInfo> success

### Class com.omnisci.thrift.server.OmniSci.get_physical_tables_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_physical_tables_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_result_row_for_pixel_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### column_format

    boolean column_format

#### nonce

    String nonce

#### pixel

    TPixel pixel

#### pixelRadius

    int pixelRadius

#### session

    String session

#### table_col_names

    Map<String,​List<String>> table_col_names

#### widget_id

    long widget_id

### Class com.omnisci.thrift.server.OmniSci.get_result_row_for_pixel_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TPixelTableRowResult success

### Class com.omnisci.thrift.server.OmniSci.get_roles_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_roles_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_server_status_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_server_status_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TServerStatus success

### Class com.omnisci.thrift.server.OmniSci.get_session_info_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_session_info_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TSessionInfo success

### Class com.omnisci.thrift.server.OmniSci.get_status_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_status_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TServerStatus> success

### Class com.omnisci.thrift.server.OmniSci.get_table_details_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.get_table_details_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TTableDetails success

### Class com.omnisci.thrift.server.OmniSci.get_table_epoch_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### db_id

    int db_id

#### session

    String session

#### table_id

    int table_id

### Class com.omnisci.thrift.server.OmniSci.get_table_epoch_by_name_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.get_table_epoch_by_name_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### success

    int success

### Class com.omnisci.thrift.server.OmniSci.get_table_epoch_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### success

    int success

### Class com.omnisci.thrift.server.OmniSci.get_table_epochs_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### db_id

    int db_id

#### session

    String session

#### table_id

    int table_id

### Class com.omnisci.thrift.server.OmniSci.get_table_epochs_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### success

    List<TTableEpochInfo> success

### Class com.omnisci.thrift.server.OmniSci.get_tables_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_tables_meta_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_tables_meta_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TTableMeta> success

### Class com.omnisci.thrift.server.OmniSci.get_tables_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_users_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_users_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.get_version_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Class com.omnisci.thrift.server.OmniSci.get_version_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    String success

### Class com.omnisci.thrift.server.OmniSci.get_views_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.get_views_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<String> success

### Class com.omnisci.thrift.server.OmniSci.has_object_privilege_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### granteeName

    String granteeName

#### ObjectName

    String ObjectName

#### objectType

    TDBObjectType objectType

See Also:
  `TDBObjectType`

#### permissions

    TDBObjectPermissions permissions

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.has_object_privilege_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### e

    TOmniSciException e

#### success

    boolean success

### Class com.omnisci.thrift.server.OmniSci.has_role_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### granteeName

    String granteeName

#### roleName

    String roleName

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.has_role_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### e

    TOmniSciException e

#### success

    boolean success

### Class com.omnisci.thrift.server.OmniSci.import_geo_table_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### copy_params

    TCopyParams copy_params

#### create_params

    TCreateParams create_params

#### file_name

    String file_name

#### row_desc

    List<TColumnType> row_desc

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.import_geo_table_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.import_table_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### copy_params

    TCopyParams copy_params

#### file_name

    String file_name

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.import_table_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.import_table_status_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### import_id

    String import_id

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.import_table_status_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TImportStatus success

### Class com.omnisci.thrift.server.OmniSci.insert_data_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### insert_data

    TInsertData insert_data

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.insert_data_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.interrupt_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### interrupt_session

    String interrupt_session

#### query_session

    String query_session

### Class com.omnisci.thrift.server.OmniSci.interrupt_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.krb5_connect_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dbname

    String dbname

#### inputToken

    String inputToken

### Class com.omnisci.thrift.server.OmniSci.krb5_connect_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TKrb5Session success

### Class com.omnisci.thrift.server.OmniSci.load_table_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### column_names

    List<String> column_names

#### rows

    List<TStringRow> rows

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### column_names

    List<String> column_names

#### rows

    List<TRow> rows

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_arrow_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### arrow_stream

    ByteBuffer arrow_stream

#### session

    String session

#### table_name

    String table_name

#### use_column_names

    boolean use_column_names

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_arrow_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_columnar_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### cols

    List<TColumn> cols

#### column_names

    List<String> column_names

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_columnar_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.load_table_binary_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.load_table_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.query_get_outer_fragment_count_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### query

    String query

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.query_get_outer_fragment_count_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### e

    TOmniSciException e

#### success

    long success

### Class com.omnisci.thrift.server.OmniSci.register_runtime_extension_functions_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### device_ir_map

    Map<String,​String> device_ir_map

#### session

    String session

#### udfs

    List<TUserDefinedFunction> udfs

#### udtfs

    List<TUserDefinedTableFunction> udtfs

### Class com.omnisci.thrift.server.OmniSci.register_runtime_extension_functions_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.render_vega_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### compression_level

    int compression_level

#### nonce

    String nonce

#### session

    String session

#### vega_json

    String vega_json

#### widget_id

    long widget_id

### Class com.omnisci.thrift.server.OmniSci.render_vega_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TRenderResult success

### Class com.omnisci.thrift.server.OmniSci.replace_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### dashboard_metadata

    String dashboard_metadata

#### dashboard_name

    String dashboard_name

#### dashboard_owner

    String dashboard_owner

#### dashboard_state

    String dashboard_state

#### image_hash

    String image_hash

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.replace_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.set_execution_mode_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### mode

    TExecuteMode mode

See Also:
  `TExecuteMode`

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.set_execution_mode_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.set_license_key_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### key

    String key

#### nonce

    String nonce

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.set_license_key_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TLicenseInfo success

### Class com.omnisci.thrift.server.OmniSci.set_table_epoch_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### db_id

    int db_id

#### new_epoch

    int new_epoch

#### session

    String session

#### table_id

    int table_id

### Class com.omnisci.thrift.server.OmniSci.set_table_epoch_by_name_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### new_epoch

    int new_epoch

#### session

    String session

#### table_name

    String table_name

### Class com.omnisci.thrift.server.OmniSci.set_table_epoch_by_name_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.set_table_epoch_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.set_table_epochs_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### db_id

    int db_id

#### session

    String session

#### table_epochs

    List<TTableEpochInfo> table_epochs

### Class com.omnisci.thrift.server.OmniSci.set_table_epochs_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Class com.omnisci.thrift.server.OmniSci.share_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### grant_role

    boolean grant_role

#### groups

    List<String> groups

#### objects

    List<String> objects

#### permissions

    TDashboardPermissions permissions

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.share_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.share_dashboards_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dashboard_ids

    List<Integer> dashboard_ids

#### groups

    List<String> groups

#### permissions

    TDashboardPermissions permissions

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.share_dashboards_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.sql_execute_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### at_most_n

    int at_most_n

#### column_format

    boolean column_format

#### first_n

    int first_n

#### nonce

    String nonce

#### query

    String query

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.sql_execute_df_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### device_id

    int device_id

#### device_type

    TDeviceType device_type

See Also:
  `TDeviceType`

#### first_n

    int first_n

#### query

    String query

#### session

    String session

#### transport_method

    TArrowTransport transport_method

See Also:
  `TArrowTransport`

### Class com.omnisci.thrift.server.OmniSci.sql_execute_df_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TDataFrame success

### Class com.omnisci.thrift.server.OmniSci.sql_execute_gdf_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### device_id

    int device_id

#### first_n

    int first_n

#### query

    String query

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.sql_execute_gdf_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TDataFrame success

### Class com.omnisci.thrift.server.OmniSci.sql_execute_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TQueryResult success

### Class com.omnisci.thrift.server.OmniSci.sql_validate_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### query

    String query

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.sql_validate_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    List<TColumnType> success

### Class com.omnisci.thrift.server.OmniSci.start_heap_profile_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.start_heap_profile_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.start_query_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### just_explain

    boolean just_explain

#### leaf_session

    String leaf_session

#### outer_fragment_indices

    List<Long> outer_fragment_indices

#### parent_session

    String parent_session

#### query_ra

    String query_ra

### Class com.omnisci.thrift.server.OmniSci.start_query_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TPendingQuery success

### Class com.omnisci.thrift.server.OmniSci.start_render_query_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### node_idx

    short node_idx

#### session

    String session

#### vega_json

    String vega_json

#### widget_id

    long widget_id

### Class com.omnisci.thrift.server.OmniSci.start_render_query_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

#### success

    TPendingRenderQuery success

### Class com.omnisci.thrift.server.OmniSci.stop_heap_profile_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.stop_heap_profile_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.switch_database_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dbname

    String dbname

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.switch_database_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.unshare_dashboard_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### groups

    List<String> groups

#### objects

    List<String> objects

#### permissions

    TDashboardPermissions permissions

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.unshare_dashboard_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.OmniSci.unshare_dashboards_args extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### dashboard_ids

    List<Integer> dashboard_ids

#### groups

    List<String> groups

#### permissions

    TDashboardPermissions permissions

#### session

    String session

### Class com.omnisci.thrift.server.OmniSci.unshare_dashboards_result extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### e

    TOmniSciException e

### Class com.omnisci.thrift.server.TClusterHardwareInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### hardware_info

    List<THardwareInfo> hardware_info

### Class com.omnisci.thrift.server.TColSlotContext extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### col_to_slot_map

    List<List<Integer>> col_to_slot_map

#### slot_sizes

    List<TSlotSize> slot_sizes

### Class com.omnisci.thrift.server.TColumn extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### data

    TColumnData data

#### nulls

    List<Boolean> nulls

### Class com.omnisci.thrift.server.TColumnData extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### arr_col

    List<TColumn> arr_col

#### int_col

    List<Long> int_col

#### real_col

    List<Double> real_col

#### str_col

    List<String> str_col

### Class com.omnisci.thrift.server.TColumnRange extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### bucket

    long bucket

#### col_id

    int col_id

#### fp_max

    double fp_max

#### fp_min

    double fp_min

#### has_nulls

    boolean has_nulls

#### int_max

    long int_max

#### int_min

    long int_min

#### table_id

    int table_id

#### type

    TExpressionRangeType type

See Also:
  `TExpressionRangeType`

### Class com.omnisci.thrift.server.TColumnType extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### col_id

    long col_id

#### col_name

    String col_name

#### col_type

    TTypeInfo col_type

#### is_physical

    boolean is_physical

#### is_reserved_keyword

    boolean is_reserved_keyword

#### is_system

    boolean is_system

#### src_name

    String src_name

### Class com.omnisci.thrift.server.TCopyParams extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### array_begin

    String array_begin

#### array_delim

    String array_delim

#### array_end

    String array_end

#### delimiter

    String delimiter

#### escape

    String escape

#### file_type

    TFileType file_type

See Also:
  `TFileType`

#### geo_assign_render_groups

    boolean geo_assign_render_groups

#### geo_coords_comp_param

    int geo_coords_comp_param

#### geo_coords_encoding

    TEncodingType geo_coords_encoding

See Also:
  `TEncodingType`

#### geo_coords_srid

    int geo_coords_srid

#### geo_coords_type

    TDatumType geo_coords_type

See Also:
  `TDatumType`

#### geo_explode_collections

    boolean geo_explode_collections

#### geo_layer_name

    String geo_layer_name

#### has_header

    TImportHeaderRow has_header

See Also:
  `TImportHeaderRow`

#### line_delim

    String line_delim

#### null_str

    String null_str

#### quote

    String quote

#### quoted

    boolean quoted

#### s3_access_key

    String s3_access_key

#### s3_endpoint

    String s3_endpoint

#### s3_region

    String s3_region

#### s3_secret_key

    String s3_secret_key

#### sanitize_column_names

    boolean sanitize_column_names

#### source_srid

    int source_srid

#### threads

    int threads

### Class com.omnisci.thrift.server.TCountDistinctDescriptor extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### approximate

    boolean approximate

#### bitmap_sz_bits

    long bitmap_sz_bits

#### device_type

    TDeviceType device_type

See Also:
  `TDeviceType`

#### impl_type

    TCountDistinctImplType impl_type

See Also:
  `TCountDistinctImplType`

#### min_val

    long min_val

#### sub_bitmap_count

    long sub_bitmap_count

### Class com.omnisci.thrift.server.TCountDistinctSet extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### remote_ptr

    long remote_ptr

#### storage

    TCountDistinctSetStorage storage

#### type

    TCountDistinctImplType type

See Also:
  `TCountDistinctImplType`

### Class com.omnisci.thrift.server.TCountDistinctSetStorage extends org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields> implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Class com.omnisci.thrift.server.TCreateParams extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_replicated

    boolean is_replicated

### Class com.omnisci.thrift.server.TDashboard extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dashboard_id

    int dashboard_id

#### dashboard_metadata

    String dashboard_metadata

#### dashboard_name

    String dashboard_name

#### dashboard_owner

    String dashboard_owner

#### dashboard_permissions

    TDashboardPermissions dashboard_permissions

#### dashboard_state

    String dashboard_state

#### image_hash

    String image_hash

#### is_dash_shared

    boolean is_dash_shared

#### update_time

    String update_time

### Class com.omnisci.thrift.server.TDashboardGrantees extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_user

    boolean is_user

#### name

    String name

#### permissions

    TDashboardPermissions permissions

### Class com.omnisci.thrift.server.TDashboardPermissions extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### create_

    boolean create_

#### delete_

    boolean delete_

#### edit_

    boolean edit_

#### view_

    boolean view_

### Class com.omnisci.thrift.server.TDatabasePermissions extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### access_

    boolean access_

#### create_

    boolean create_

#### delete_

    boolean delete_

#### view_sql_editor_

    boolean view_sql_editor_

### Class com.omnisci.thrift.server.TDataBlockPtr extends org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields> implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Class com.omnisci.thrift.server.TDataFrame extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### arrow_conversion_time_ms

    long arrow_conversion_time_ms

#### df_buffer

    ByteBuffer df_buffer

#### df_handle

    ByteBuffer df_handle

#### df_size

    long df_size

#### execution_time_ms

    long execution_time_ms

#### sm_handle

    ByteBuffer sm_handle

#### sm_size

    long sm_size

### Class com.omnisci.thrift.server.TDatum extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_null

    boolean is_null

#### val

    TDatumVal val

### Class com.omnisci.thrift.server.TDatumVal extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### arr_val

    List<TDatum> arr_val

#### int_val

    long int_val

#### real_val

    double real_val

#### str_val

    String str_val

### Class com.omnisci.thrift.server.TDBInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### db_name

    String db_name

#### db_owner

    String db_owner

### Class com.omnisci.thrift.server.TDBObject extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### grantee

    String grantee

#### objectName

    String objectName

#### objectType

    TDBObjectType objectType

See Also:
  `TDBObjectType`

#### privilegeObjectType

    TDBObjectType privilegeObjectType

See Also:
  `TDBObjectType`

#### privs

    List<Boolean> privs

### Class com.omnisci.thrift.server.TDBObjectPermissions extends org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields> implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Class com.omnisci.thrift.server.TDetectResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### copy_params

    TCopyParams copy_params

#### row_set

    TRowSet row_set

### Class com.omnisci.thrift.server.TDictionaryGeneration extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### dict_id

    int dict_id

#### entry_count

    long entry_count

### Class com.omnisci.thrift.server.TFrontendView extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### image_hash

    String image_hash

#### update_time

    String update_time

#### view_metadata

    String view_metadata

#### view_name

    String view_name

#### view_state

    String view_state

### Class com.omnisci.thrift.server.TGeoFileLayerInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### contents

    TGeoFileLayerContents contents

See Also:
  `TGeoFileLayerContents`

#### name

    String name

### Class com.omnisci.thrift.server.TGpuSpecification extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### clock_frequency_kHz

    long clock_frequency_kHz

#### compute_capability_major

    short compute_capability_major

#### compute_capability_minor

    short compute_capability_minor

#### memory

    long memory

#### num_sm

    int num_sm

### Class com.omnisci.thrift.server.THardwareInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### gpu_info

    List<TGpuSpecification> gpu_info

#### host_name

    String host_name

#### num_cpu_hw

    short num_cpu_hw

#### num_gpu_allocated

    short num_gpu_allocated

#### num_gpu_hw

    short num_gpu_hw

#### start_gpu

    short start_gpu

### Class com.omnisci.thrift.server.TImportStatus extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### elapsed

    long elapsed

#### rows_completed

    long rows_completed

#### rows_estimated

    long rows_estimated

#### rows_rejected

    long rows_rejected

### Class com.omnisci.thrift.server.TInsertData extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### column_ids

    List<Integer> column_ids

#### data

    List<TDataBlockPtr> data

#### db_id

    int db_id

#### num_rows

    long num_rows

#### table_id

    int table_id

### Class com.omnisci.thrift.server.TKrb5Session extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### krbToken

    String krbToken

#### sessionId

    String sessionId

### Class com.omnisci.thrift.server.TLicenseInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### claims

    List<String> claims

### Class com.omnisci.thrift.server.TMemoryData extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### buffer_epoch

    int buffer_epoch

#### chunk_key

    List<Long> chunk_key

#### is_free

    boolean is_free

#### num_pages

    long num_pages

#### slab

    long slab

#### start_page

    int start_page

#### touch

    int touch

### Class com.omnisci.thrift.server.TNodeMemoryInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### host_name

    String host_name

#### is_allocation_capped

    boolean is_allocation_capped

#### max_num_pages

    long max_num_pages

#### node_memory_data

    List<TMemoryData> node_memory_data

#### num_pages_allocated

    long num_pages_allocated

#### page_size

    long page_size

### Class com.omnisci.thrift.server.TOmniSciException extends org.apache.thrift.TException implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### error_msg

    String error_msg

### Class com.omnisci.thrift.server.TPendingQuery extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### column_ranges

    List<TColumnRange> column_ranges

#### dictionary_generations

    List<TDictionaryGeneration> dictionary_generations

#### id

    long id

#### parent_session_id

    String parent_session_id

#### table_generations

    List<TTableGeneration> table_generations

### Class com.omnisci.thrift.server.TPendingRenderQuery extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### id

    long id

### Class com.omnisci.thrift.server.TPixel extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### x

    long x

#### y

    long y

### Class com.omnisci.thrift.server.TPixelTableRowResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### nonce

    String nonce

#### pixel

    TPixel pixel

#### row_id

    List<Long> row_id

#### row_set

    TRowSet row_set

#### table_id

    List<Long> table_id

#### vega_table_name

    String vega_table_name

### Class com.omnisci.thrift.server.TQueryResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### debug

    String debug

#### execution_time_ms

    long execution_time_ms

#### nonce

    String nonce

#### query_type

    TQueryType query_type

See Also:
  `TQueryType`

#### row_set

    TRowSet row_set

#### success

    boolean success

#### total_time_ms

    long total_time_ms

### Class com.omnisci.thrift.server.TRawPixelData extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### height

    int height

#### render_pass_map

    Map<Integer,​TRawRenderPassDataResult> render_pass_map

#### width

    int width

### Class com.omnisci.thrift.server.TRawRenderPassDataResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### accum_data

    ByteBuffer accum_data

#### accum_depth

    int accum_depth

#### num_pixel_channels

    int num_pixel_channels

#### num_pixel_samples

    int num_pixel_samples

#### pixels

    ByteBuffer pixels

#### row_ids_A

    ByteBuffer row_ids_A

#### row_ids_B

    ByteBuffer row_ids_B

#### table_ids

    ByteBuffer table_ids

### Class com.omnisci.thrift.server.TRenderDatum extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### cnt

    int cnt

#### type

    TDatumType type

See Also:
  `TDatumType`

#### value

    ByteBuffer value

### Class com.omnisci.thrift.server.TRenderParseResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### execution_time_ms

    long execution_time_ms

#### merge_type

    TMergeType merge_type

See Also:
  `TMergeType`

#### node_id

    int node_id

#### render_time_ms

    long render_time_ms

#### total_time_ms

    long total_time_ms

### Class com.omnisci.thrift.server.TRenderResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### execution_time_ms

    long execution_time_ms

#### image

    ByteBuffer image

#### nonce

    String nonce

#### render_time_ms

    long render_time_ms

#### total_time_ms

    long total_time_ms

#### vega_metadata

    String vega_metadata

### Class com.omnisci.thrift.server.TRenderStepResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### execution_time_ms

    long execution_time_ms

#### merge_data

    Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data

#### raw_pixel_data

    TRawPixelData raw_pixel_data

#### render_time_ms

    long render_time_ms

#### total_time_ms

    long total_time_ms

### Class com.omnisci.thrift.server.TResultSetBufferDescriptor extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### bucket

    long bucket

#### col_slot_context

    TColSlotContext col_slot_context

#### count_distinct_descriptors

    List<TCountDistinctDescriptor> count_distinct_descriptors

#### entry_count

    int entry_count

#### force_4byte_float

    boolean force_4byte_float

#### group_col_widths

    List<Short> group_col_widths

#### idx_target_as_key

    int idx_target_as_key

#### key_bytewidth

    short key_bytewidth

#### keyless

    boolean keyless

#### layout

    TResultSetLayout layout

See Also:
  `TResultSetLayout`

#### max_val

    long max_val

#### min_val

    long min_val

#### target_groupby_indices

    List<Integer> target_groupby_indices

### Class com.omnisci.thrift.server.TRow extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### cols

    List<TDatum> cols

### Class com.omnisci.thrift.server.TRowSet extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### columns

    List<TColumn> columns

#### is_columnar

    boolean is_columnar

#### row_desc

    List<TColumnType> row_desc

#### rows

    List<TRow> rows

### Class com.omnisci.thrift.server.TSerializedRows extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### buffer_lengths

    List<Long> buffer_lengths

#### buffers

    List<ByteBuffer> buffers

#### buffers_total_size

    long buffers_total_size

#### count_distinct_sets

    List<TCountDistinctSet> count_distinct_sets

#### descriptor

    TResultSetBufferDescriptor descriptor

#### explanation

    String explanation

#### target_init_vals

    List<Long> target_init_vals

#### targets

    List<TTargetInfo> targets

#### total_compression_time_ms

    int total_compression_time_ms

#### varlen_buffer

    List<ByteBuffer> varlen_buffer

### Class com.omnisci.thrift.server.TServerPermissions extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### alter_

    boolean alter_

#### create_

    boolean create_

#### drop_

    boolean drop_

### Class com.omnisci.thrift.server.TServerStatus extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### edition

    String edition

#### host_name

    String host_name

#### poly_rendering_enabled

    boolean poly_rendering_enabled

#### read_only

    boolean read_only

#### rendering_enabled

    boolean rendering_enabled

#### role

    TRole role

See Also:
  `TRole`

#### start_time

    long start_time

#### version

    String version

### Class com.omnisci.thrift.server.TSessionInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### database

    String database

#### is_super

    boolean is_super

#### start_time

    long start_time

#### user

    String user

### Class com.omnisci.thrift.server.TSlotSize extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### logical

    short logical

#### padded

    short padded

### Class com.omnisci.thrift.server.TStepResult extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### execution_finished

    boolean execution_finished

#### merge_type

    TMergeType merge_type

See Also:
  `TMergeType`

#### node_id

    int node_id

#### row_desc

    List<TColumnType> row_desc

#### serialized_rows

    TSerializedRows serialized_rows

#### sharded

    boolean sharded

### Class com.omnisci.thrift.server.TStringRow extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### cols

    List<TStringValue> cols

### Class com.omnisci.thrift.server.TStringValue extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_null

    boolean is_null

#### str_val

    String str_val

### Class com.omnisci.thrift.server.TTableDetails extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### fragment_size

    long fragment_size

#### is_temporary

    boolean is_temporary

#### key_metainfo

    String key_metainfo

#### max_rows

    long max_rows

#### page_size

    long page_size

#### partition_detail

    TPartitionDetail partition_detail

See Also:
  `TPartitionDetail`

#### row_desc

    List<TColumnType> row_desc

#### shard_count

    long shard_count

#### view_sql

    String view_sql

### Class com.omnisci.thrift.server.TTableEpochInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### leaf_index

    int leaf_index

#### table_epoch

    int table_epoch

#### table_id

    int table_id

### Class com.omnisci.thrift.server.TTableGeneration extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### start_rowid

    long start_rowid

#### table_id

    int table_id

#### tuple_count

    long tuple_count

### Class com.omnisci.thrift.server.TTableMeta extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### col_names

    List<String> col_names

#### col_types

    List<TTypeInfo> col_types

#### is_replicated

    boolean is_replicated

#### is_view

    boolean is_view

#### max_rows

    long max_rows

#### max_table_id

    long max_table_id

#### num_cols

    long num_cols

#### shard_count

    long shard_count

#### table_id

    long table_id

#### table_name

    String table_name

### Class com.omnisci.thrift.server.TTablePermissions extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### alter_

    boolean alter_

#### create_

    boolean create_

#### delete_

    boolean delete_

#### drop_

    boolean drop_

#### insert_

    boolean insert_

#### select_

    boolean select_

#### truncate_

    boolean truncate_

#### update_

    boolean update_

### Class com.omnisci.thrift.server.TTargetInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### arg_type

    TTypeInfo arg_type

#### is_agg

    boolean is_agg

#### is_distinct

    boolean is_distinct

#### kind

    TAggKind kind

See Also:
  `TAggKind`

#### skip_nulls

    boolean skip_nulls

#### type

    TTypeInfo type

### Class com.omnisci.thrift.server.TTypeInfo extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### comp_param

    int comp_param

#### encoding

    TEncodingType encoding

See Also:
  `TEncodingType`

#### is_array

    boolean is_array

#### nullable

    boolean nullable

#### precision

    int precision

#### scale

    int scale

#### size

    int size

#### type

    TDatumType type

See Also:
  `TDatumType`

### Class com.omnisci.thrift.server.TVarLen extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### is_null

    boolean is_null

#### payload

    ByteBuffer payload

### Class com.omnisci.thrift.server.TViewPermissions extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### __isset_bitfield

    byte __isset_bitfield

#### create_

    boolean create_

#### delete_

    boolean delete_

#### drop_

    boolean drop_

#### insert_

    boolean insert_

#### select_

    boolean select_

#### update_

    boolean update_